summaryrefslogtreecommitdiff
path: root/create-dev-nodes
diff options
context:
space:
mode:
Diffstat (limited to 'create-dev-nodes')
-rwxr-xr-xcreate-dev-nodes37
1 files changed, 37 insertions, 0 deletions
diff --git a/create-dev-nodes b/create-dev-nodes
new file mode 100755
index 0000000..1bef1ab
--- /dev/null
+++ b/create-dev-nodes
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Create FHS directories below a target directory.
+#
+# Copyright (C) 2011 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+if [ "$#" != 1 ]
+then
+ echo "Error: must give target root directory as argument." 1>&2
+ exit 1
+fi
+
+DESTDIR=$1
+mknod -m 600 "$DESTDIR/dev/tty0" c 4 0
+mknod -m 600 "$DESTDIR/dev/tty1" c 4 1
+mknod -m 600 "$DESTDIR/dev/tty2" c 4 2
+mknod -m 600 "$DESTDIR/dev/tty3" c 4 3
+mknod -m 600 "$DESTDIR/dev/tty4" c 4 4
+mknod -m 600 "$DESTDIR/dev/ttyS0" c 4 64
+mknod -m 600 "$DESTDIR/dev/ttyS1" c 4 65
+mknod -m 600 "$DESTDIR/dev/console" c 5 1
+mknod -m 666 "$DESTDIR/dev/null" c 1 3